<?php

namespace FiloBlu\Popup\Controller\Adminhtml\Popup;

class Index extends \Magento\Backend\App\Action
{
  protected $resultPageFactory = false;

  public function __construct(\Magento\Backend\App\Action\Context $context,\Magento\Framework\View\Result\PageFactory $resultPageFactory)
  {
    parent::__construct($context);
    $this->resultPageFactory = $resultPageFactory;
  }

  protected function _isAllowed()
  {
      return $this->_authorization->isAllowed('Magento_Backend::content');
  }

  public function execute()
  {
    $resultPage = $this->resultPageFactory->create();
    $resultPage->getConfig()->getTitle()->prepend((__('List')));

    return $resultPage;
  }

}
